package org.acme

import javax.ws.rs.GET
import javax.ws.rs.Path
import javax.ws.rs.Produces
import javax.ws.rs.core.MediaType


@Path("/hello")
interface GreetingAPI {
    @GET
    @Produces(MediaType.TEXT_PLAIN)
    suspend fun hello(): String
}


@MyFilter
class GreetingResource : GreetingAPI {

    override suspend fun hello(): String {
        return "Hello from RESTEasy Reactive"
    }
}
